I have an iphone 4 w/ ios 4.2.1, how to unlock?

Discussion in 'Jailbreaks and iOS Hacks' started by gd6, May 9, 2012.

  1. gd6 macrumors member

    May 9, 2012
    Hi, I was hoping someone could give me some tips. I have an iPhone 4 that is ios 4.2.1 , baseband 03.10.01.

    I haven't ever tried this before, but I have downgraded a different iphone 4 from 5.1 back to 5.0.1, so I know about SHSH blobs, and I'm saving them right now.

    Is there any way for me to get baseband 01.59.00 so I can use ultrasn0w? Or will I have to unlock using a Gevey? If I use a gevey, is it still possibile to upgrade (preseve baseband) to 5.0.1 even though I have never saved the SHSH blobs for that version of IOS (as I don't think apple is signing 5.0.1 anymore).

    Thanks so much for any advice!
  2. dhlizard macrumors G4


    Mar 16, 2009
    The Jailbreak Community
    Downgrading the firmware never changes the baseband.
    You can buy a Gevey sim or contact the original carrier to see about IMEI unlock.
  3. gd6 thread starter macrumors member

    May 9, 2012
    Ya it looks like I'm just going to use a gevey if I can't get AT&T to unlock this. Thanks!

Share This Page